problem with atmega 328p in arduino diecimila

Hello,
First of all sorry for my bad english.
I've Ubuntu 8.04 64 bits and Arduino IDE 0012 and all works perfect with atmega168 but when i put into the board an atmega 328p (with bootloader) and goes to upload to I/O Board the ide gives me the next error:

Problem uploading to board. See http://www.arduino.cc/en/guide/troubleshooting#upload for suggestions.

avrdude: stk500_recv(): programmer is not responding
avrdude: stk500_recv(): programmer is not responding

I think that i will have to install a newer version of avrdude ( i have 5.5 ) but i don't know very well how i must do that.

i've also avr-gcc 4.3 (which supports atemga328p).

Any idea?

Thanks.

Note:
In the menu of the Ide ---> TOOLS ---> don't appear some board with w/ 328.
I select Arduino diecimila.

Try downloading the latest version of Arduino (0016).

Hi, where could download Ide 0016? in the official website isn't still available.
It's compatible with ubuntu 64 bits?

thx.

sorry i had not seen the link to download in official website, but i'm afraid it's only for linux 32 bit. Right?

thx again.

Someone posted a 64-bit version here: Google Code Archive - Long-term storage for Google Code Project Hosting.

thx mellis i downloaded but still don't work.
I posted this on google web.

Hi, i've ubuntu 8.04 64 bits and when i select duemilanove with atemga328 board
return the next error:

unknown MCU 'atmega328p' specified
Known MCU names:
avr2
at90s2313
at90s2323
at90s2333
at90s2343
attiny22
attiny26
at90s4414
at90s4433
at90s4434
at90s8515
at90c8534
at90s8535
avr25
attiny13
attiny2313
attiny24
attiny44
attiny84
attiny25
attiny45
attiny85
attiny261
attiny461
attiny861
at86rf401
avr3
atmega103
atmega603
at43usb320
at43usb355
at76c711
avr4
atmega8
atmega48
atmega88
atmega8515
atmega8535
atmega8hva
at90pwm1
at90pwm2
at90pwm3
avr5
atmega16
atmega161
atmega162
atmega163
atmega164p
atmega165
atmega165p
atmega168
atmega169
atmega169p
atmega32
atmega323
atmega324p
atmega325
atmega325p
atmega3250
atmega3250p
atmega329
atmega329p
atmega3290
atmega3290p
atmega406
atmega64
atmega640
atmega644
atmega644p
atmega645
atmega6450
atmega649
atmega6490
atmega128
atmega1280
atmega1281
atmega16hva
at90can32
at90can64
at90can128
at90usb82
at90usb162
at90usb646
at90usb647
at90usb1286
at90usb1287
at94k
avr1
at90s1200
attiny11
attiny12
attiny15
attiny28
Matrix.cpp:1: error: MCU 'atmega328p' supported for assembler only
In file included from
/home/pablo/Documentos/Electronica/arduino-0016/hardware/cores/arduino/wiring.h:28,
from
/home/pablo/Documentos/Electronica/arduino-0016/hardware/cores/arduino/WConstants.h:1,
from Matrix.cpp:34:
/usr/lib/gcc/avr/4.2.2/../../../../avr/include/avr/io.h:295:6: warning: #warning
"device type not defined"

Somebody can help me?
thx.

You need a newer version of avr-gcc. You may have to upgrade or point at newer repositories.

Sorry but i'm a beginner in LInux and i don't know how i could install a newer version of avr-gcc, in repositories only appear the version i have now.

thanks.